# muteLocalVideo method Null safety

Future<void> muteLocalVideo(

1. bool mute

)

Pause/Resume pushing local video data

After the local video pushing is paused, other members in the room will receive the `onUserVideoAvailable(userId, false)` callback notification. After the local video pushing is resumed, other members in the room will receive the `onUserVideoAvailable(userId, true)` callback notification.

Parameters:

mute true: paused; false: resumed

## Implementation

    Future<void> muteLocalVideo(
        bool mute // true: blocked; false: enabled. Default value: false
        ) {
      return _channel.invokeMethod('muteLocalVideo', {
        "mute": mute,
      });
    }